My Project

- Main Page
- Related Pages
- Modules
- Classes
- Files

- File List
- File Members

All Classes Files Functions Typedefs Groups Pages
NexObject.h
Go to the documentation of this file.
1
16 #ifndef __NEXOBJECT_H__
17 #define __NEXOBJECT_H__
18 #include <Arduino.h>
19 #include "NexConfig.h"
32 class NexObject
33 {
34 public: /* methods */
35
43 NexObject(uint8_t pid, uint8_t cid, const char *name);
44
50 void printObjInfo(void);
51
52 protected: /* methods */
53
54 /*
55 * Get page id.
56 *
57 * @return the id of page.
58 */
59 uint8_t getObjPid(void);
60
61 /*
62 * Get component id.
63 *
64 * @return the id of component.
65 */
66 uint8_t getObjCid(void);
67
68 /*
69 * Get component name.
70 *
71 * @return the name of component.
72 */
73 const char *getObjName(void);
74
75 private: /* data */
76 uint8_t __pid; /* Page ID */
77 uint8_t __cid; /* Component ID */
78 const char *__name; /* An unique name */
79 };
84 #endif /* #ifndef __NEXOBJECT_H__ */
NexObject::NexObject
NexObject(uint8_t pid, uint8_t cid, const char *name)
Definition: NexObject.cpp:17
NexObject
Definition: NexObject.h:32
NexObject::printObjInfo
void printObjInfo(void)
Definition: NexObject.cpp:39
NexConfig.h